> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aviatrix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# IPsec peering policy for gateway group

> Get IPsec peering policy configuration for a specific gateway group



## OpenAPI

````yaml /openapi/10.1/aviatrix-api.json get /v2.5/api/ipsec-peering-policy/{gwgroup_name}
openapi: 3.1.0
info:
  title: Aviatrix Controller API
  version: '10.1'
  description: >-
    Aviatrix Controller API — version 10.1. Selected operations with Mintlify
    metadata.
servers: []
security: []
tags:
  - name: policies
    x-group: Policies
  - name: authentication
    x-group: Authentication
  - name: account-management
    x-group: Account Management
  - name: rbac
    x-group: RBAC & Permissions
  - name: gateways
    x-group: Gateways
  - name: transit
    x-group: Transit
  - name: nat
    x-group: NAT
  - name: app-domains
    x-group: SmartGroups
  - name: certificates
    x-group: Certificates
  - name: mitm
    x-group: MITM
  - name: monitoring
    x-group: Monitoring & Diagnostics
  - name: fqdn
    x-group: FQDN
  - name: logging
    x-group: Logging
  - name: vpn
    x-group: UserVPN
  - name: site-to-cloud
    x-group: Site-to-Cloud
  - name: controller
    x-group: Controller
  - name: bgp
    x-group: BGP
  - name: general
    x-group: General
  - name: firenet
    x-group: FireNet
  - name: networking
    x-group: Networking
  - name: tgw
    x-group: AWS TGW
  - name: ips
    x-group: IPS
  - name: saml
    x-group: SAML
paths:
  /v2.5/api/ipsec-peering-policy/{gwgroup_name}:
    get:
      tags:
        - networking
      summary: Get IPsec peering policy for gateway group
      description: Get IPsec peering policy configuration for a specific gateway group
      operationId: get_ipsec_peering_policy_gwgroup
      parameters:
        - description: Name of the gateway group
          in: path
          name: gwgroup_name
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          description: 'Controller ID in the format: cid <CID>.'
          schema:
            type: string
            example: cid <CID>
            default: cid <CID>
          example: cid <CID>
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IpsecPeeringPolicyResponse'
          description: Successfully retrieved IPsec peering policy
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IpsecPeeringPolicyGwgroupErrorResponse'
          description: Bad request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IpsecPeeringPolicyGwgroupErrorResponse'
          description: Gateway group not found
        default:
          $ref: '#/components/responses/general_response_v25'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -sk -X GET
            "https://<controller>/v2.5/api/ipsec-peering-policy/{gwgroup_name}"
            \
              -H "Authorization: cid <CID>"
        - lang: python
          label: Python
          source: >-
            import requests


            url =
            "https://<controller>/v2.5/api/ipsec-peering-policy/{gwgroup_name}"

            headers = {"Authorization": "cid <CID>"}


            response = requests.get(url, headers=headers)

            print(response.text)
        - lang: go
          label: Go
          source: |-
            package main

            import (
              "fmt"
              "net/http"
            )

            func main() {
              req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/ipsec-peering-policy/{gwgroup_name}", nil)
              req.Header.Set("Authorization", "cid <CID>")

              client := &http.Client{}
              resp, err := client.Do(req)
              if err != nil {
                panic(err)
              }
              defer resp.Body.Close()

              fmt.Println(resp.Status)
            }
components:
  schemas:
    IpsecPeeringPolicyResponse:
      properties:
        gwgroup_name:
          description: Name of the gateway group
          example: test-gwgroup
          title: Gateway group name
          type: string
        ph2_encryption_policy:
          description: IPsec Phase 2 encryption algorithm
          example: strong
          title: Phase 2 encryption policy
          type: string
        ph2_pfs_policy:
          description: IPsec Phase 2 Diffie-Hellman group for PFS
          example: enable
          title: Phase 2 PFS policy
          type: string
      required:
        - gwgroup_name
        - ph2_encryption_policy
        - ph2_pfs_policy
      type: object
    IpsecPeeringPolicyGwgroupErrorResponse:
      example:
        message: Gateway group not found
      properties:
        message:
          type: string
      type: object
    general_response_v25:
      description: A generic API response container for v2.5 style APIs.
      properties:
        message:
          description: A human-readable message.
          type: string
      title: General Response v2.5
      type: object
  responses:
    general_response_v25:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/general_response_v25'
      description: General v2.5 API response schema.

````